function love.load()
	mandel_thread = love.thread.newThread('mandel', 'mandel.lua')
	mandel_thread:start()
	imagedata = nil
end

function love.update(dt)
	imagedata = mandel_thread:receive('image')
	progress = mandel_thread:peek('progress')
	if imagedata then
		image = love.graphics.newImage(imagedata)
	end
end

function love.draw()
	if image then
		love.graphics.draw(image,0,0)
	end
	if progress then
		love.graphics.rectangle('fill', 0 ,512, (progress/512)*512,80)
	end
	love.graphics.rectangle('line', 0,512, 512, 80)
end
